package common.tileentity;

import common.entity.npc.EntityNPC;
import common.inventory.Container;
import common.inventory.InventoryPlayer;

public class LocalBlockIntercommunication implements IInteractionObject
{
    private String guiID;
    private String displayName;

    public LocalBlockIntercommunication(String guiIdIn, String displayNameIn)
    {
        this.guiID = guiIdIn;
        this.displayName = displayNameIn;
    }

    public Container createContainer(InventoryPlayer playerInventory, EntityNPC playerIn)
    {
        throw new UnsupportedOperationException();
    }

    /**
     * Get the name of this object. For players this returns their username
     */
    public String getName()
    {
        return this.displayName;
    }

    /**
     * Returns true if this thing is named
     */
    public boolean hasCustomName()
    {
        return true;
    }

    public String getGuiID()
    {
        return this.guiID;
    }

    /**
     * Get the formatted ChatComponent that will be used for the sender's username in chat
     */
    public String getCommandName()
    {
        return this.displayName;
    }
}
